Bug 489606 - Tracker taking up lots of CPU time
Tracker taking up lots of CPU time
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-10 17:44 EDT by Adam Huffman
Modified: 2010-06-28 07:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:26:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Huffman 2009-03-10 17:44:51 EDT
Description of problem:
On my laptop running Rawhide tracker seems to be taking up a lot of CPU time.  Not sure whether it's getting stuck on particular file types or something else.

Version-Release number of selected component (if applicable):
tracker-0.6.90-4.fc11.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Start the system as normal
2.
3.
  
Actual results:
After a few minutes the trackerd and/or tracker-indexer processes are hogging CPU time

Expected results:


Additional info:
Comment 1 Deji Akingunola 2009-03-11 11:48:38 EDT
Can you please attached your trackerd log file (/var/log/trackerd.log).

Also if you can, please file this bug upstream (http://bugzilla.gnome.org/browse.cgi?product=tracker).
Comment 2 Deji Akingunola 2009-03-11 11:54:11 EDT
Excuse me, I think the trackerd log file can be found in ~/.local/share/tracker/trackerd.log .
Comment 3 Adam Huffman 2009-03-11 18:11:14 EDT
There is such a file, but it's currently empty.  Would any of the other files in that directory be useful?
Comment 4 Deji Akingunola 2009-03-13 14:21:36 EDT
Have you also looked for /var/log/trackerd.log? You can try and kill any presently running trackerd instance ('killall -9 trackerd'); and then re-run trackerd manually with ('trackerd -v 3') ,i.e. with higher level of logging, and then check ~/.local/share/tracker/trackerd.log .

However, would please try the new 0.6.91 release, and see if it has already solved the issue. Rawhide build for the new release are available at;
http://koji.fedoraproject.org/koji/taskinfo?taskID=1240307
Comment 5 Adam Huffman 2009-03-20 15:51:12 EDT
I have been running that version for a few days now, but it hasn't resolved the problem.  The system load is over 4 while the indexer is running, making it rather sluggish.

Here's what's in the log file:

20 Mar 2009, 19:24:46: GLib-GIO-Critical **: g_file_hash: assertion `G_IS_FILE (file)' failed

20 Mar 2009, 19:24:46: GLib-GIO-Critical **: g_file_hash: assertion `G_IS_FILE (file)' failed

20 Mar 2009, 19:24:46: GLib-GIO-Critical **: g_file_hash: assertion `G_IS_FILE (file)' failed
Comment 6 Adam Huffman 2009-04-18 06:03:59 EDT
Have been running with the extra debug setting and after a while a notification bubble appears, saying "There was an error while performing indexing: Index corrupted".

It offers the option to "Reindex all contents".  I've tried that several times but after a few minutes the error bubble re-appears.
Comment 7 Adam Huffman 2009-05-06 17:09:31 EDT
This is still happening with the latest version from today's Rawhide:

tracker-0.6.94-1.fc11.x86_64
Comment 8 Deji Akingunola 2009-05-09 10:13:21 EDT
I believe you're still running with Verbosity=3 in your tracker configuration file (~/.config/tracker/tracker.cfg). If so, have you noticed extra info in the tracker log (~/.local/share/tracker/) that might help resolve this.
I think tracker might be having problem with some file(s) on your computer.
Comment 9 Adam Huffman 2009-05-24 10:29:21 EDT
What sort of thing should I be looking for in the log files?
Comment 10 Deji Akingunola 2009-06-04 05:09:22 EDT
(In reply to comment #9)
> What sort of thing should I be looking for in the log files?  

I think tracker might be choking on some particular file(s) on your computer. 

Maybe you should back-up your old tracker config and indexes (~/.config/tracker and ~/.local/share) and 'start afresh'. I can't reproduce this issue.
Comment 11 Bug Zapper 2009-06-09 08:06:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora Update System 2010-02-04 15:30:01 EST
tracker-0.6.96-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/tracker-0.6.96-1.fc12
Comment 13 Fedora Update System 2010-02-04 15:33:24 EST
tracker-0.6.96-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tracker-0.6.96-1.fc11
Comment 14 Fedora Update System 2010-02-05 18:53:47 EST
tracker-0.6.96-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tracker'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-1522
Comment 15 Fedora Update System 2010-02-05 18:57:14 EST
tracker-0.6.96-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tracker'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1525
Comment 16 Fedora Update System 2010-02-08 09:38:31 EST
tracker-0.6.96-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/tracker-0.6.96-2.fc12
Comment 17 Fedora Update System 2010-02-09 00:06:46 EST
tracker-0.6.96-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tracker'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1615
Comment 18 Bug Zapper 2010-04-27 09:09:23 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2010-06-28 07:26:26 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.